# 8. API get list of survey

URL: <https://apiring.antbuddy.com/telesales>

Method: GET

| **Parameters** | **Type** | **Required** | **Explain**                                                                    |
| -------------- | -------- | ------------ | ------------------------------------------------------------------------------ |
| campaignId     | string   | Yes          | Campaign id                                                                    |
| survey         | Boolean  |              | If survey is true, only telesales with values in the survey form will be taken |
| dateStart      | string   |              | Telesale creation time. For example:2024-03-13T06:24:20.673Z                   |
| dateEnd        | string   |              | Telesale creation time. For example:2024-03-19T06:24:20.673Z                   |
| page           | Number   |              | Page number.                                                                   |
| limit          | Number   |              | Number of records per page. (Maximum 100 records)                              |

page Number Serial number of the page. limit Number Number of records per page. (Maximum 100 records)

Results returned:

{

"success": true,

"data": \[], // list of records

"total": 2,

"limit": 20

}

**Sample data:**

curl --location

'<https://apiring.antbuddy.com/telesales?campaignId=65f8faf6f829af63ddc831dc\\&survey=true\\&dateStart=202> 4-03-13T06%3A24%3A20.673Z\&dateEnd=2024-03-19T06%3A24%3A20.673Z' \ --header 'apikey:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.antbuddy.com/huong-dan-tich-hop-api-team-technical-api-integration-guide-technical-team/antcrm/8.-api-get-list-of-survey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
